Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Representations/Motion/JointDataSequence.h File Reference

Definition of JointDataSequence class. More...

`#include "JointData.h"`
`#include "Tools/Streams/InOut.h"`

Include dependency graph for JointDataSequence.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | JointDataSequence
| The JointDataSequence is a sequence of joint data sets with timing and interpolation information. More...
## Functions
In & | operator>> (In &stream, JointDataSequence &jointDataSequence)
| Streaming operator that reads a JointDataSequence from a stream.
Out & | operator<< (Out &stream, const JointDataSequence &jointDataSequence)
| Streaming operator that writes a JointDataSequence to a stream.
## Variables
const int | jointDataSequenceMaxNumOfEntries = 400
| Maximum number of entries per sequence.

## Detailed Description

Definition of JointDataSequence class.

The JointDataSequence is a sequence of joint data sets with timing and interpolation information. This is sent from PC to robot and executed by DebugMotionControl.

Author:
  Max Risler

Definition in file JointDataSequence.h.

## Function Documentation

In& operator>> | ( | In & | stream,
|  | JointDataSequence & | jointDataSequence
| ) |

  | Streaming operator that reads a JointDataSequence from a stream. Parameters:
  stream | The stream from which is read.
  jointDataSequence | The JointDataSequence object.
Returns: The stream. Definition at line 38 of file JointDataSequence.cpp. References JointDataSequence::entry, JointDataSequence::interpolate, JointDataSequence::loop, JointDataSequence::numOfEntries, and JointDataSequence::repeats.

Out& operator<< | ( | Out & | stream,
|  | const JointDataSequence & | jointDataSequence
| ) |

  | Streaming operator that writes a JointDataSequence to a stream. Parameters:
  stream | The stream to write on.
  jointDataSequence | The JointDataSequence object.
Returns: The stream. Definition at line 54 of file JointDataSequence.cpp. References JointDataSequence::entry, JointDataSequence::interpolate, JointDataSequence::loop, JointDataSequence::numOfEntries, and JointDataSequence::repeats.

## Variable Documentation

const int jointDataSequenceMaxNumOfEntries = 400`[static]`

| Maximum number of entries per sequence. Definition at line 19 of file JointDataSequence.h.